Subject: Re: [bug#48817] [PATCH] gnu: Add emacs-kibit-helper.

From: Nicolas Goaziou <[email-masked]>
Date: Sat, 05 Jun 2021 13:52:33 +0200

Hello,

Alexandr Vityazev <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-kibit-helper): New variable.

Thank you. I applied your patch, with the changes mentioned below. 

> +(define-public emacs-kibit-helper
> +  (let ((version "0.1.1")
> +        (revision "0")
> +        (commit "16bdfff785ee05d8e74a5780f6808506d990cef7"))

I targeted exact "0.1.1" release instead.  The commit you use is just
three commits above it, which only apply to the README file.

> +      (synopsis
> +       "Conveniently use the Kibit Leiningen plugin from Emacs")

I removed the "conveniently" buzzword.

> +      (description
> +       "Provides functions that make it easy to work with the Kibit
> +Leiningen plugin for detecting and improving non-idiomatic
> +Clojure source code, from within GNU Emacs. ")

The description must use full sentences, so I reworded it a bit. Also,
there was a trailing white space at its end.

Regards,
-- 
Nicolas Goaziou